# Class GetXmrNodeSettingsReply

#### Hierarchy

- unknown
  - GetXmrNodeSettingsReply

- Defined in src/protobuf/grpc_pb.d.ts:1264
- Defined in src/protobuf/grpc_pb.d.ts:1278

#####
Index

### Constructors

constructor

### Methods

clearSettings
getSettings
hasSettings
serializeBinary
setSettings
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrNodeSettingsReply(): GetXmrNodeSettingsReply

- #### Returns GetXmrNodeSettingsReply

  Inherited from jspb.Message.constructor

## Methods

### clearSettings

- clearSettings(): GetXmrNodeSettingsReply

- #### Returns GetXmrNodeSettingsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1268

### getSettings

- getSettings(): undefined | XmrNodeSettings

- #### Returns undefined | XmrNodeSettings

  - Defined in src/protobuf/grpc_pb.d.ts:1265

### hasSettings

- hasSettings(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1267

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1270

### setSettings

- setSettings(value?: XmrNodeSettings): GetXmrNodeSettingsReply

- #### Parameters

  - ##### `Optional` value: XmrNodeSettings

  #### Returns GetXmrNodeSettingsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1266

### toObject

- toObject(includeInstance?: boolean): GetXmrNodeSettingsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrNodeSettingsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1271

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNodeSettingsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNodeSettingsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1274

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNodeSettingsReply, reader: BinaryReader): GetXmrNodeSettingsReply

- #### Parameters

  - ##### message: GetXmrNodeSettingsReply

  - ##### reader: BinaryReader

  #### Returns GetXmrNodeSettingsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1275

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNodeSettingsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrNodeSettingsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1273

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrNodeSettingsReply): GetXmrNodeSettingsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNodeSettingsReply

  #### Returns GetXmrNodeSettingsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1272

Generated using TypeDoc